更新 deviceManagementPartner
命名空间:microsoft.graph
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
更新 deviceManagementPartner 对象的属性。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementServiceConfig.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 请求
PATCH /deviceManagement/deviceManagementPartners/{deviceManagementPartnerId}
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 deviceManagementPartner 对象的 JSON 表示形式。
下表显示创建 deviceManagementPartner 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | 字符串 | 实体的 ID |
| lastHeartbeatDateTime | DateTimeOffset | 管理员启用“连接到设备管理合作伙伴”选项后上次检测信号的时间戳 |
| partnerState | deviceManagementPartnerTenantState | 此租户的合作伙伴状态。 可取值为:unknown、unavailable、enabled、terminated、rejected、unresponsive。 |
| partnerAppType | deviceManagementPartnerAppType | 合作伙伴应用类型。 可取值为:unknown、singleTenantApp、multiTenantApp。 |
| singleTenantAppId | String | 合作伙伴单个租户应用 ID |
| displayName | String | 合作伙伴显示名称 |
| isConfigured | Boolean | 是否配置了设备管理合作伙伴 |
| whenPartnerDevicesWillBeRemovedDateTime | DateTimeOffset | 要删除 PartnerDevices 时的日期/时间(UTC 时间) |
| whenPartnerDevicesWillBeMarkedAsNonCompliantDateTime | DateTimeOffset | PartnerDevices 将被标记为“不符合”时的日期/时间(UTC 时间) |
响应
如果成功,此方法将在响应正文中返回 200 OK 响应代码和更新的 deviceManagementPartner 对象。
示例
请求
下面是一个请求示例。
PATCH https://graph.microsoft.com/v1.0/deviceManagement/deviceManagementPartners/{deviceManagementPartnerId}
Content-type: application/json
Content-length: 502
{
"@odata.type": "#microsoft.graph.deviceManagementPartner",
"lastHeartbeatDateTime": "2016-12-31T23:59:37.9174975-08:00",
"partnerState": "unavailable",
"partnerAppType": "singleTenantApp",
"singleTenantAppId": "Single Tenant App Id value",
"displayName": "Display Name value",
"isConfigured": true,
"whenPartnerDevicesWillBeRemovedDateTime": "2016-12-31T23:56:38.2655023-08:00",
"whenPartnerDevicesWillBeMarkedAsNonCompliantDateTime": "2016-12-31T23:58:42.2131231-08:00"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 551
{
"@odata.type": "#microsoft.graph.deviceManagementPartner",
"id": "d21e377a-377a-d21e-7a37-1ed27a371ed2",
"lastHeartbeatDateTime": "2016-12-31T23:59:37.9174975-08:00",
"partnerState": "unavailable",
"partnerAppType": "singleTenantApp",
"singleTenantAppId": "Single Tenant App Id value",
"displayName": "Display Name value",
"isConfigured": true,
"whenPartnerDevicesWillBeRemovedDateTime": "2016-12-31T23:56:38.2655023-08:00",
"whenPartnerDevicesWillBeMarkedAsNonCompliantDateTime": "2016-12-31T23:58:42.2131231-08:00"
}
反馈
提交和查看相关反馈